import type { _NSCell } from "./NSCell.js";
import type { _NSEvent } from "./NSEvent.js";
import type { _NSLayoutManager } from "./NSLayoutManager.js";
import type { _NSTextAttachment } from "./NSTextAttachment.js";
import type { _NSTextContainer } from "./NSTextContainer.js";
import type { _NSView } from "./NSView.js";
import type { CGPoint } from "../structs/CGPoint.js";
import type { CGRect } from "../structs/CGRect.js";
import type { CGSize } from "../structs/CGSize.js";
export declare class _NSTextAttachmentCell extends _NSCell {
    static alloc(): _NSTextAttachmentCell;
    static new(): _NSTextAttachmentCell;
    init(): _NSTextAttachmentCell;
    wantsToTrackMouse(): boolean;
    cellSize(): CGSize;
    cellBaselineOffset(): CGPoint;
    /**
     * Sophisticated cells should implement these in addition to the simpler methods, above. The class NSTextAttachmentCell implements them to simply call the simpler methods; more complex conformers should implement the simpler methods to call these.
     */
    drawWithFrame$inView$characterIndex$(cellFrame: CGRect, controlView: _NSView | null, charIndex: number): void;
    drawWithFrame$inView$characterIndex$layoutManager$(cellFrame: CGRect, controlView: _NSView | null, charIndex: number, layoutManager: _NSLayoutManager): void;
    wantsToTrackMouseForEvent$inRect$ofView$atCharacterIndex$(theEvent: _NSEvent, cellFrame: CGRect, controlView: _NSView | null, charIndex: number): boolean;
    trackMouse$inRect$ofView$atCharacterIndex$untilMouseUp$(theEvent: _NSEvent, cellFrame: CGRect, controlView: _NSView | null, charIndex: number, flag: boolean): boolean;
    cellFrameForTextContainer$proposedLineFragment$glyphPosition$characterIndex$(textContainer: _NSTextContainer, lineFrag: CGRect, position: CGPoint, charIndex: number): CGRect;
    attachment(): _NSTextAttachment | null;
    setAttachment$(value: _NSTextAttachment | null): void;
}
